iSndSysSource3DDirectional Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSndSysSource3DDirectional Struct Reference
Sound system

Extension to the iSndSysSource3D interface, allowing directional orientation of sound sources. More...

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSource3DDirectional:

List of all members.

## Public Member Functions
virtual csVector3 | GetDirection ()=0
| get direction of this source
virtual float | GetDirectionalRadiationInnerCone ()=0
| Retrieves the current half-angle of the inner cone.
virtual float | GetDirectionalRadiationOuterCone ()=0
| Retrieves the current half-angle of the outer cone.
virtual float | GetDirectionalRadiationOuterGain ()=0
| Retrieves the current gain/volume outside the outer cone.
virtual void | SetDirection (csVector3 dir)=0
| set direction of this source Set this to (0, 0, 0) for a omni-directional sound.
virtual void | SetDirectionalRadiationInnerCone (float rad)=0
| This value is expressed in radians and describes the half-angle of the inner cone.
virtual void | SetDirectionalRadiationOuterCone (float rad)=0
| This value is expressed in radians and describes the half-angle of the outer cone.
virtual void | SetDirectionalRadiationOuterGain (float gain)=0
| This value describes the gain outside of the outer cone.

## Detailed Description

Extension to the iSndSysSource3D interface, allowing directional orientation of sound sources.

The concept is a set of two cones with apices at the source, called the inner and outer cones. The inner cone should be contained completely within the outer cone. Within the inner cone the source will be at full volume (attunated according to distance). Outside the outer cone the source's volume will be multiplied by the outer gain. Between the two cones the volume will be interpolated between the two extremes.

Definition at line 206 of file ss_source.h.

## Member Function Documentation

virtual csVector3 iSndSysSource3DDirectional::GetDirection | ( |  | ) | `[pure virtual]`

get direction of this source

virtual float iSndSysSource3DDirectional::GetDirectionalRadiationInnerCone | ( |  | ) | `[pure virtual]`

Retrieves the current half-angle of the inner cone.

virtual float iSndSysSource3DDirectional::GetDirectionalRadiationOuterCone | ( |  | ) | `[pure virtual]`

Retrieves the current half-angle of the outer cone.

virtual float iSndSysSource3DDirectional::GetDirectionalRadiationOuterGain | ( |  | ) | `[pure virtual]`

Retrieves the current gain/volume outside the outer cone.

virtual void iSndSysSource3DDirectional::SetDirection | ( | csVector3 | dir | ) | `[pure virtual]`

set direction of this source Set this to (0, 0, 0) for a omni-directional sound.

virtual void iSndSysSource3DDirectional::SetDirectionalRadiationInnerCone | ( | float | rad | ) | `[pure virtual]`

This value is expressed in radians and describes the half-angle of the inner cone.

See also:
  iSndSysSource3DDirectional

Note:
  Unlike iSndSysSource3DDirectionalSimple setting the to 0.0f will not make an omni directional source

virtual void iSndSysSource3DDirectional::SetDirectionalRadiationOuterCone | ( | float | rad | ) | `[pure virtual]`

This value is expressed in radians and describes the half-angle of the outer cone.

See also:
  iSndSysSource3DDirectional

Note:
  Unlike iSndSysSource3DDirectionalSimple setting the to 0.0f will not make an omni directional source

virtual void iSndSysSource3DDirectional::SetDirectionalRadiationOuterGain | ( | float | gain | ) | `[pure virtual]`

This value describes the gain outside of the outer cone.

See also:
  iSndSysSource3DDirectional

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h